/*
  This code shows how to write a SDL Text Class using a normal SDL window,
  it uses SDL_ttf as a text creator.
  It also uses the Unicode keyboard support from SDL.

  For any problem of installation or usage, please send me a message : 
	http://www.developpez.net/forums/private.php?do=newpm&u=78956

  Copyright (C) 2007 Beyler Jean Christophe

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef H_CTEXTE
#define H_CTEXTE

#include <SDL.h>
#include <SDL_ttf.h>

typedef struct sTexte
{
        SDL_Surface *surface;
        char *message;
        size_t message_len;
 
		SDL_Color color;
        SDL_Rect rect;

		TTF_Font* font;
        int font_a_nous;
}STexte;

 
STexte* Texte_Creer();
void Texte_Detruire(STexte **);

int Texte_MettrePolice(STexte *, TTF_Font *font, int anous);
int Texte_ChargerPolice(STexte *, char *, int size, int R, int G, int B);
        
int Texte_AffTexte(STexte *, SDL_Surface *);
int Texte_AffTexte_Texte(STexte *,SDL_Surface *, char *);
int Texte_AffTexte_Position(STexte *,SDL_Surface *,int x, int y);
int Texte_AffTexte_PositionTexte(STexte *,SDL_Surface *,char* message, int x, int y);

void Texte_SetPosition(STexte *,int x, int y);
 
void Texte_AjouteFin(STexte *,char c);
void Texte_EnleveFin(STexte *);


#endif
